# The Worlds+ Modification Pack
*Created by Wirlaburla*

![Logo](worldsplus.png)

**Supports 1904**

This is a modpack that includes a few minor modifications and additions for Worlds.
If you do not know how to install this modpack, simply drag and drop the NET folder into the Worlds directory. NET should neighbor installed worlds and the ini.

## Features
 * Sgeo's "Where is?" Mod
 * Higher Friend limit
 * Higher Mute limit
 * Privacy settings for whispers and teleports
 * Customizable nametags
 * Max Animations
 * No TalkAction
 * and much more!
 

## Downloads

### v1.6.3
[Download](WorldsPlus-v1.6.3.zip)

 * Actually fixed Privacy settings this time.
 * Added option to set the color of Tarred users.
 * Mute now takes priority over Tars rather than the other way around.
 * Fixed colored random tags affecting staff and moderators.
 * Added option to configure the holographic avatar in Tars. (3D avatars will not work!)
 * Fixed a huge issue with the efficiency of colored nametags.
 * Moved strings to the messages file.

### v1.6.2
##### 03/08/21
[Download](WorldsPlus-v1.6.2.zip)

 * Fixed default ordering of Privacy options. This should fix a huge startup bug.
 * Added new feature: Disabled Avatar or "Tars"
    * Allows disabling any avatars from a user.
    * Can be quickly enabled/disabled per user by clicking on them.
    * You can edit your Tar list in the Options menu.
    * Saves in the INI like Friends and Mutes.

### v1.6.1
##### 02/20/21
[Download](WorldsPlus-v1.6.1.zip)

 * Fixed Teleport Privacy setting not working at all.

### v1.6
##### 02/20/21
[Download](WorldsPlus-v1.6.zip)

 * Completely overhauled INI. New INI configurations are down below.
 * Nametag configurations are more customized, allowing you to change the colors of all types, text and tag.
 * Friendly (FriendsOnly) now has an option for both Whispers and Teleports to send a response.
 * Whisper and Teleport privacy is now a checkbox dropdown.
 * Allowed Action2 commands to be disabled, preventing public actions.
 * Implimented Anti-TalkAction.
 * Implimented option to change time until sleep.
 * Experimental option to disable the window from taking focus with a new whisper.
 * Removed limit for distance to smooth avatar animations. Avatars should animate smoothly from far away now.
 * Replaced print outputs for mod version with simple version line in 'About Worlds'.

### v1.5
##### 06/19/20
 * A MessagesBundle.properties file is now distributed with the mod. Please replace the one in your Worlds folder with this.
 * Overhauled Options menu.
 * You can now show a chat status when friends log in/off.

### v1.4.2
##### 05/03/20
[Download](WorldsPlus-v1.4.2.zip)

 * I fixed whispers...

### v1.4.1
##### 05/03/20
[Download](WorldsPlus-v1.4.1.zip)

 * Fixed teleporting to users when your option is set None.
 * Reconfigured Friend Only Whispers/Teleports menus.
 * Allow/Reject Whispers vanilla option has been removed in place of WorldsPlus settings.
 * Friend Only Whispers were updated to act similarly to Teleports.
 * Renamed None to No one like a normal being.

### v1.4
##### 05/02/20
[Download](WorldsPlus-v1.4.zip)

 * Added a Shaper menu tab called "WorldsPlus" to conveniently configure options in-game.
 * A message will now be outputted in chat when you add and remove a friend.
 * Friends Only Teleports now has 3 options: Everyone, Friends, and None.
 * Removed module output on startup. It was unnecessary.
 * The upgrade print now displays the link to the newer version.
 * Removing official support from 1890. It might still work but it won't be focused on.

### v1.3.1
##### 05/01/20
[Download](WorldsPlus-v1.3.1.zip)

 * Fixed print dialogue not properly displaying the correct amount of modules enabled.
 * Whispers sent saying the whisper was rejected will only send once for a user for the session. This allows removing the restrictions on 'not-whisper' while preventing the bug.

### v1.3
##### 05/01/20
[Download](WorldsPlus-v1.3.zip)

 * Temporarily disabled modification of the 'not-whispers' message due to crashes.
 * Moved FriendOnlyTeleport and FriendOnlyWhispers to own section. They should now be 'FriendOnly.Teleport' and 'FriendOnly.Whispers' respectively.
 * Added "Remove Friend" to the friends list panel.
 * Teleport rejects can now display in the chat window.
 * You can now disable reject messages.
 * WorldsPlus can now print a startup message in chat. This can be disabled with 'WorldsPlus.DisablePrint'.
 * The mod will now check for an update from the server and notify the user in chat. This can be disabled with 'WorldsPlus.DisableUpgrade'.

### v1.2
##### 04/30/20
[Download](WorldsPlus-v1.2.zip)

 * Added FriendOnlyTeleport
 * Replaced the disabled "Add friend" option when clicking on your friend with "Remove friend"

### v1.1
##### 04/27/20
[Download](WorldsPlus-v1.1.zip)

 * The NET folder now no longer includes irrelevent classes
 * Fixed versioning with 1890

### v1.0
##### 04/26/20
 * Initial Release
 
## Instructions
Applying the mod should be simple if you have done so before. Simply drag and drop the contents of the ZIP into the Worlds root folder. Due to the addition of more data in this mod, it may ask you to replace some files. This is normal and should not harm your Worlds installation at all. If you prefer, you can back them up beforehand.

## Mod Configuration
You can edit the `worlds.ini` file for Worlds in order to enable and configure different modifications.

```ini
[Modules]
# Toggles the activation of certain functions and behaviors.
# Some of these don't actually work and are experimental.
WhisperFocus=1
DisableTalkAction=1
DisableAction2=1
AllowSleep=1
ColorfulTags=0

[WorldsPlus]
TarAvatar=avatar:holden.mov

[ColorfulTags]
UserTagColor=192,192,192
EmployeeTagColor=0,255,255
HostTagColor=255,255,0
GuestTagColor=255,192,203
TarTagColor=192,192,192

UserTextColor=0,0,0
EmployeeTextColor=0,0,0
HostTextColor=0,0,0
GuestTextColor=0,0,0
TarTextColor=0,0,0

Transparent=0
Fontsize=128
RandomizeColors=0
UnderlineStaff=1

[Friendly]
WhisperFeedback=1
TeleportFeedback=1
WhisperResponse=1
TeleportResponse=0
ShowStatusUpdate=0

[Gamma]
AnimationQualityDistance=900
TimeToSleep=300000
WhisperPrivacy=0
TeleportPrivacy=0
```
